Update to new upstream 1.0.2

Bug #1814562 reported by Rico Tzschichholz on 2019-02-04
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
zeitgeist (Ubuntu)
Low
Unassigned

Bug Description

There is a new upstream release which fixes issues with valac 0.43/44

https://launchpad.net/zeitgeist/+milestone/1.0.2

2018-01-31: Zeitgeist 1.0.2 "Phoenix"
---------------------------------------------------------------
Overall:
 - Fix compile errors and warnings with new vala
 - fts: Correctly implement the org.gnome.zeitgeist.Index DBus interface
 - test-log: Use correct free function for ZeitgeistResultSet
 - Do not require rapper as it is not used anymore
 - Make ontology2code work with python3
 - Properly fallback with the Zeitgeist version
 - rdflib directly to parse the trig files
 - Update Ontology2code to ba able to specify the output path

Libzeitgeist:
 - Asynchronous out-parameters are only allowed at the end of argument lists
   *** THIS IS AN UNAVOIDABLE VALA API BREAK ***

Jeremy Bicha (jbicha) wrote :

There is nothing here ready to be sponsored…

tags: added: upgrade-software-version
Changed in zeitgeist (Ubuntu):
importance: Undecided → Low
Jeremy Bicha (jbicha) wrote :

I am unsubscribing ubuntu-sponsors. Please feel free to resubscribe when you have something ready for sponsoring.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers